﻿using System.Windows.Controls;
using Telerik.Windows.Controls;

namespace RadMenuItem
{
	/// <summary>
	/// Interaction logic for UserControl1.xaml
	/// </summary>
	public partial class UserControl1 : UserControl
	{
		public UserControl1()
		{
			InitializeComponent();
		}

		private void RadMenu_ItemClick(object sender, Telerik.Windows.RadRoutedEventArgs e)
		{
			var currentItem = e.OriginalSource as Telerik.Windows.Controls.RadMenuItem;

			if (currentItem.IsCheckable)
			{
				foreach (Telerik.Windows.Controls.RadMenuItem item in this.radMenu.Items)
				{
					if (item != currentItem)
					{
						item.IsChecked = false;
					}
				}
			}
		}
	}
}
